# examples#list

list examples

Endpoint: GET /pm/api/v1/examples
Version: 1.0
Security: 

## Query parameters:

  - `accountIdentifier` (string)
    Harness account ID
    Example: "eBqAoNchMLKigC_qZ5EdC"

  - `orgIdentifier` (string)
    Harness organization ID
    Example: "test-org"

  - `projectIdentifier` (string)
    Harness project ID
    Example: "test-project"

## Header parameters:

  - `x-api-key` (string)
    Harness PAT key used to perform authorization
    Example: "Dolorum blanditiis facere itaque in fuga laborum."

## Response 200 fields (application/json):

  - `desc` (string, required)
    Longer description of the example
    Example: "This is a pipeline example"

  - `input` (string, required)
    Example input to illustrate the rego policy
    Example: "{\"message\": \"everyone\"}"

  - `name` (string, required)
    Example name
    Example: "Pipeline example"

  - `rego` (string, required)
    Example rego policy
    Example: "package test\ndeny[\"should say hello world\"] {input.message != \"world\"}"

  - `type` (string, required)
    The type of entity illustrated in this example
    Example: "pipeline"

  - `variables` (array)
    The list of substitutable variables in the policy example
    Example: [{"default":["JiraUpdate","HarnessApproval"],"desc":"The required steps that the policy enforces","id":"requiredsteps","name":"Required Steps","type":"selectOne","values":["JiraUpdate","HarnessApproval"]},{"default":["JiraUpdate","HarnessApproval"],"desc":"The required steps that the policy enforces","id":"requiredsteps","name":"Required Steps","type":"selectOne","values":["JiraUpdate","HarnessApproval"]}]

  - `variables.default` (array)
    The values that are selected by default
    Example: ["JiraUpdate","HarnessApproval"]

  - `variables.desc` (string)
    Longer description of the variable to substitute
    Example: "The required steps that the policy enforces"

  - `variables.id` (string)
    The id of the variable to substitute in the rego
    Example: "requiredsteps"

  - `variables.name` (string)
    The human readable name of the variable to substitute in the rego
    Example: "Required Steps"

  - `variables.type` (string)
    The variable type
    Enum: "text", "textMultiple", "selectOne", "selectMultiple"

  - `variables.values` (array)
    Pre populated sample values to substitute the variable with
    Example: ["JiraUpdate","HarnessApproval"]

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?


